Debian Bug report logs - #508397
dietlibc: umount2 still undefined on ia64, and umount is wrong

version graph

Package: dietlibc; Maintainer for dietlibc is Hector Oron <zumbi@debian.org>;

Reported by: Micah Anderson <micah@debian.org>

Date: Wed, 10 Dec 2008 21:12:01 UTC

Severity: grave

Tags: patch

Found in version dietlibc/0.31-1

Fixed in version dietlibc/0.31-1.2

Done: Simon McVittie <smcv@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#508397; Package dietlibc. (Wed, 10 Dec 2008 21:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Micah Anderson <micah@debian.org>:
New Bug report received and forwarded. Copy sent to Gerrit Pape <pape@smarden.org>. (Wed, 10 Dec 2008 21:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Micah Anderson <micah@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dietlibc: Undefined symbol: umount2 on alpha and ia64
Date: Wed, 10 Dec 2008 16:11:14 -0500
[Message part 1 (text/plain, inline)]
Package: dietlibc
Version: 0.31-1
Severity: grave
Tags: patch
Justification: renders package unusable

Hi,

As it turns out dietlibc-0.31 doesn't properly define the umount2
symbols on two architectures: alpha and ia64. This sadly results in a
build regression for util-vserver, which used to build on these
architectures, but is refusing to build now. This is holding back an
important transition of the package into Lenny. In otherwords, if this
package cannot be built on alpha/ia64, then it will not be usable for
most cases in Lenny due to the previous version not functioning
properly in two important respects.

The buildlogs which demonstrate this problem are:

alpha: http://buildd.debian.org/fetch.cgi?&pkg=util-vserver&ver=0.30.216%7Er2772-5&arch=alpha&stamp=1227907425&file=log
ia64: http://buildd.debian.org/fetch.cgi?&pkg=util-vserver&ver=0.30.216%7Er2772-5&arch=ia64&stamp=1227907303&file=log

both complain, rightly:

diet -Os gcc -Wall -g -O2 -std=c99 -Wall -pedantic -W -funit-at-a-time
 -o src/exec-remount src/exec-remount.o lib/libvserver.a
 src/exec-remount.o: In function `main':
 /build/buildd/util-vserver-0.30.216~r2772/src/exec-remount.c:110:
 undefined reference to `umount2' collect2: ld returned 1 exit status

The solution to this is the attached patch, I believe.

micah



-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-vserver-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

dietlibc depends on no packages.

dietlibc recommends no packages.

Versions of packages dietlibc suggests:
ii  dietlibc-dev                  0.31-1     diet libc - a libc optimized for s
pn  dietlibc-doc                  <none>     (no description available)

-- no debconf information
[delta-umount2-fix01.diff (text/x-c, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#508397; Package dietlibc. (Thu, 11 Dec 2008 09:28:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to 508397@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Thu, 11 Dec 2008 09:28:04 GMT) Full text and rfc822 format available.

Message #10 received at 508397@bugs.debian.org (full text, mbox):

From: Gerrit Pape <pape@smarden.org>
To: Micah Anderson <micah@debian.org>, 508397@bugs.debian.org
Subject: Re: Bug#508397: dietlibc: Undefined symbol: umount2 on alpha and ia64
Date: Thu, 11 Dec 2008 09:17:35 +0000
On Wed, Dec 10, 2008 at 04:11:14PM -0500, Micah Anderson wrote:
> As it turns out dietlibc-0.31 doesn't properly define the umount2
> symbols on two architectures: alpha and ia64. This sadly results in a
> build regression for util-vserver, which used to build on these
> architectures, but is refusing to build now. This is holding back an
> important transition of the package into Lenny. In otherwords, if this
> package cannot be built on alpha/ia64, then it will not be usable for
> most cases in Lenny due to the previous version not functioning
> properly in two important respects.

Hi, I'm surprised.  Not that I question that there's possibly a bug, but
version 0.31-1 of dietlibc is in the archive since more than one year.
I wonder why the util-vserver package needs such changes that late in
the Debian release cycle.

Anyway, I'm sorry, I currently don't have the time to look at it or even
upload a new package, please NMU if you think that's the right thing.

Regards, Gerrit.




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#508397; Package dietlibc. (Thu, 11 Dec 2008 15:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Micah Anderson <micah@riseup.net>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Thu, 11 Dec 2008 15:06:05 GMT) Full text and rfc822 format available.

Message #15 received at 508397@bugs.debian.org (full text, mbox):

From: Micah Anderson <micah@riseup.net>
To: 508397@bugs.debian.org
Cc: Micah Anderson <micah@debian.org>
Subject: Re: Bug#508397: dietlibc: Undefined symbol: umount2 on alpha and ia64
Date: Thu, 11 Dec 2008 10:04:21 -0500
[Message part 1 (text/plain, inline)]
* Gerrit Pape <pape@smarden.org> [2008-12-11 04:30-0500]:
> On Wed, Dec 10, 2008 at 04:11:14PM -0500, Micah Anderson wrote:
> > As it turns out dietlibc-0.31 doesn't properly define the umount2
> > symbols on two architectures: alpha and ia64. This sadly results in a
> > build regression for util-vserver, which used to build on these
> > architectures, but is refusing to build now. This is holding back an
> > important transition of the package into Lenny. In otherwords, if this
> > package cannot be built on alpha/ia64, then it will not be usable for
> > most cases in Lenny due to the previous version not functioning
> > properly in two important respects.
> 
> Hi, I'm surprised.  Not that I question that there's possibly a bug, but
> version 0.31-1 of dietlibc is in the archive since more than one year.
> I wonder why the util-vserver package needs such changes that late in
> the Debian release cycle.

Yeah, I was surprised too. However, it goes far up the chain... the
newer kernels brought in some virtualization namespace changes, which
only have begun to appear in the kernels that have now transitioned into
Lenny. These new changes mean that util-vserver has to change the way it
deals with unmounting and cleanup in the guest because the chroot
barrier is being faded out in favor of the new namespaces and
pivot_root.

> Anyway, I'm sorry, I currently don't have the time to look at it or even
> upload a new package, please NMU if you think that's the right thing.

Ok, I've been recruiting testers on different arches and just have mips,
arm and sparc left to test before we are certain that the change works
right. 

thanks!
micah
[signature.asc (application/pgp-signature, inline)]

Reply sent to Micah Anderson <micah@debian.org>:
You have taken responsibility. (Thu, 11 Dec 2008 17:45:03 GMT) Full text and rfc822 format available.

Notification sent to Micah Anderson <micah@debian.org>:
Bug acknowledged by developer. (Thu, 11 Dec 2008 17:45:04 GMT) Full text and rfc822 format available.

Message #20 received at 508397-close@bugs.debian.org (full text, mbox):

From: Micah Anderson <micah@debian.org>
To: 508397-close@bugs.debian.org
Subject: Bug#508397: fixed in dietlibc 0.31-1.1
Date: Thu, 11 Dec 2008 17:32:04 +0000
Source: dietlibc
Source-Version: 0.31-1.1

We believe that the bug you reported is fixed in the latest version of
dietlibc, which is due to be installed in the Debian FTP archive:

dietlibc-dev_0.31-1.1_i386.deb
  to pool/main/d/dietlibc/dietlibc-dev_0.31-1.1_i386.deb
dietlibc-doc_0.31-1.1_all.deb
  to pool/main/d/dietlibc/dietlibc-doc_0.31-1.1_all.deb
dietlibc_0.31-1.1.diff.gz
  to pool/main/d/dietlibc/dietlibc_0.31-1.1.diff.gz
dietlibc_0.31-1.1.dsc
  to pool/main/d/dietlibc/dietlibc_0.31-1.1.dsc
dietlibc_0.31-1.1_i386.deb
  to pool/main/d/dietlibc/dietlibc_0.31-1.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 508397@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Micah Anderson <micah@debian.org> (supplier of updated dietlibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 11 Dec 2008 11:28:17 -0500
Source: dietlibc
Binary: dietlibc-dev dietlibc dietlibc-doc
Architecture: source all i386
Version: 0.31-1.1
Distribution: unstable
Urgency: high
Maintainer: Gerrit Pape <pape@smarden.org>
Changed-By: Micah Anderson <micah@debian.org>
Description: 
 dietlibc   - diet libc shared libraries - a libc optimized for small size
 dietlibc-dev - diet libc - a libc optimized for small size
 dietlibc-doc - diet libc documentation - a libc optimized for small size
Closes: 508397
Changes: 
 dietlibc (0.31-1.1) unstable; urgency=high
 .
   * Non-maintainer upload.
   * debian/diff/0011-undefined-symbol-umount2-alpha-ia64.diff:
     new; util-vserver: fails to compile on alpha and ia64 due to
     unresolved umount2 symbols, thanks to Daniel Hokka Zakrisson and
     Herbert Poetzel, closes: #508397)
Checksums-Sha1: 
 fb498b7cd4322d92ccc83dfdcc29e1fb5c153248 948 dietlibc_0.31-1.1.dsc
 6f9804cc5e8c10c03e1db44d17c22c9f905d77c1 16474 dietlibc_0.31-1.1.diff.gz
 0fa72826e079eee4eb06e94c567c6d31a13c0389 51180 dietlibc-doc_0.31-1.1_all.deb
 dc75c572ec76e55d5c9ff90ed8b7ae97f194c6ff 417874 dietlibc-dev_0.31-1.1_i386.deb
 83078fdd2a9556728b7058588186e90bb632f51c 160332 dietlibc_0.31-1.1_i386.deb
Checksums-Sha256: 
 a6c36c6bab81c54fd0669a8af387ab6a04584214c3f0fb47da24d0cc6c3b4f2f 948 dietlibc_0.31-1.1.dsc
 3113c6835e06819b392c321281f5af57ec9b937c6cb9f6969dacff6e7ff90725 16474 dietlibc_0.31-1.1.diff.gz
 5aedca94ddf14cbf51079b5bf6492182a182b38704436403832edbbbb13e70cf 51180 dietlibc-doc_0.31-1.1_all.deb
 a32f9d475c85bf25857a1e78f6b0656310173b4acebaf723fe832db58dceef8a 417874 dietlibc-dev_0.31-1.1_i386.deb
 fb0bd83cf8a20c1ebbb1f7bcb59bc63bb5d3d1ac639be0c789f81fa73ad2e528 160332 dietlibc_0.31-1.1_i386.deb
Files: 
 dec04290b33eba4e1a6f427f95359bf7 948 devel optional dietlibc_0.31-1.1.dsc
 dac353f34cc7ff177dcfdbfde2186d1e 16474 devel optional dietlibc_0.31-1.1.diff.gz
 9d752f05cedc42e09e0a83b6db955152 51180 doc optional dietlibc-doc_0.31-1.1_all.deb
 692a49710b8b9547620b3b2ab04f6b37 417874 libdevel optional dietlibc-dev_0.31-1.1_i386.deb
 f1ae39cc0b0123151195a26a530c4996 160332 libs optional dietlibc_0.31-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAklBQNIACgkQ9n4qXRzy1ip2mQCfTTtWjDE14LNNLsfoD9an605o
JmEAnRYobHp+DiwvUvqJi6LeS0YyTuXZ
=RWVg
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#508397; Package dietlibc. (Fri, 26 Dec 2008 05:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <asheesh@asheesh.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Fri, 26 Dec 2008 05:33:03 GMT) Full text and rfc822 format available.

Message #25 received at 508397@bugs.debian.org (full text, mbox):

From: Asheesh Laroia <asheesh@asheesh.org>
To: 508397@bugs.debian.org
Subject: Not fixed on ia64?
Date: Fri, 26 Dec 2008 00:28:20 -0500 (EST)
This has been the reason for an older bug against util-vserver.  You can 
see the FTBFS on ia64 with an error like this:

.../src/exec-remount.c:110: undefined reference to `umount2'

build log: 
<http://buildd.debian.org/fetch.cgi?&pkg=util-vserver&ver=0.30.216~r2772-6&arch=ia64&stamp=1229143992&file=log>

Therefore, it seems to me that this bug is not quite fixed.  Micah, if you 
agree, we should probably reopen this and give it a second look.

P.S. If this email sounds less coherent than usual, please excuse me. (-: 
Regardless, happy Boxing Day!

-- Asheesh.

-- 
You have an unusual equipment for success.  Be sure to use it properly.




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#508397; Package dietlibc. (Sun, 28 Dec 2008 15:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Sun, 28 Dec 2008 15:39:06 GMT) Full text and rfc822 format available.

Message #30 received at 508397@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 508397@bugs.debian.org, 509874@bugs.debian.org
Subject: Re: Bug#509874, #508397: undefined reference to umount2 on ia64
Date: Sun, 28 Dec 2008 15:35:23 +0000
[Message part 1 (text/plain, inline)]
reopen 508397
retitle 508397 dietlibc: umount2 still undefined on ia64, and umount is wrong
block 509874 by 508397
thanks

Bug#508397 in dietlibc is still not fixed on ia64, causing the FTBFS
that is #509874. I am not an expert on alpha or ia64 (and don't own an
example of either) but my interpretation of the problem is:

* Case 1: Typical architectures like i386 have syscalls sys_umount(path, flags)
  and sys_oldumount(path), corresponding to the C library functions
  umount2(path, flags) and umount(path). __NR_umount2 corresponds to
  sys_umount and __NR_umount corresponds to sys_oldumount. dietlibc
  always supported this case.

* Case 2: Old versions of Linux only have a syscall equivalent to the
  modern sys_oldumount(path) and umount(path). __NR_umount corresponds to
  what we would now call sys_oldumount and __NR_umount2 is absent.
  dietlibc always supported this case, and would simply not provide the
  umount2 API (but would still declare it in sys/mount.h, which is
  arguably a bug).

* Case 3: alpha instead has __NR_umount corresponding to sys_umount, and
  __NR_oldumount => sys_oldumount. Micah's patch in dietlibc 0.31-1.1 fixed
  this case.

  (Side note: I have no idea what the justification was for making
  alpha inconsistent in the kernel headers)

* Case 4: ia64 never had oldumount. __NR_umount corresponds to
  sys_umount(path, flags) and there is no syscall that only takes a path.
  If you just look at the syscall numbers, this case is
  indistinguishable from case 2 :-(

  (Side note: Linux kernel people could have solved this by calling this
  syscall __NR_umount2. *shrug* I'm not a kernel hacker, their ways are a
  mystery to me.)

A quick way to fix this for Debian would be to check for defined(__ia64__)
in umount.S and umount2.S, although I doubt upstream would like this.

In the IA-64 case, an extern symbol for umount also still needs generating
somehow, maybe by adding a trivial ia64/umount.c which implements it as
a call to umount2 (upstream would probably prefer it in assembler, but I
don't speak fluent assembler).

I attach a proof-of-concept patch. I haven't tested it with util-vserver,
but it compiles on merulo, and the resulting dietlibc.a contains exactly one
definition each for umount and umount2.

Regards,
    Simon
[dietlibc-508397.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Bug reopened, originator not changed. Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Sun, 28 Dec 2008 15:39:08 GMT) Full text and rfc822 format available.

Changed Bug title to `dietlibc: umount2 still undefined on ia64, and umount is wrong' from `dietlibc: Undefined symbol: umount2 on alpha and ia64'. Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Sun, 28 Dec 2008 15:39:08 GMT) Full text and rfc822 format available.

Blocking bugs of 509874 added: 508397 Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Sun, 28 Dec 2008 15:39:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#508397; Package dietlibc. (Sat, 03 Jan 2009 15:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Sat, 03 Jan 2009 15:06:12 GMT) Full text and rfc822 format available.

Message #41 received at 508397@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 508397@bugs.debian.org
Subject: Re: Bug#509874, #508397: undefined reference to umount2 on ia64
Date: Sat, 3 Jan 2009 14:59:35 +0000
[Message part 1 (text/plain, inline)]
I'm working on this bug at the Cambridge BSP, using
git://git.debian.org/users/smcv/nmu/dietlibc.git to store my work in
progress.

The four families of architecture turn out to be:

* i386, arm, etc. have umount with 1 argument and umount2 with 2 arguments
* amd64 and hppa only have umount2 with 2 arguments
* alpha has oldumount with 1 argument and umount with 2 arguments
* ia64 only has umount with 2 arguments

I've redone my patch to avoid explicit arch-dependence in syscalls.s/*,
and used the attached test case to verify that on i386, amd64 and alpha,
my work-in-progress dietlibc makes the same syscalls as glibc. On ia64
it may or may not be doing the right thing - strace produces confusing
output for both glibc and dietlibc, so I'll investigate further there.

    Simon
[Makefile (text/plain, attachment)]
[umount.c (text/x-csrc, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#508397; Package dietlibc. (Sat, 03 Jan 2009 17:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Sat, 03 Jan 2009 17:51:03 GMT) Full text and rfc822 format available.

Message #46 received at 508397@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 508397@bugs.debian.org, debian-release@lists.debian.org
Subject: dietlibc: diff for NMU version 0.31-1.2
Date: Sat, 3 Jan 2009 17:48:31 +0000
[Message part 1 (text/plain, inline)]
tags 508397 + patch
thanks

I've prepared an NMU for dietlibc (versioned as 0.31-1.2) and uploaded it
to unstable. As mentioned above I've verified the syscalls made via
strace on i386, amd64 and alpha. On ia64, strace produces strange output
for both glibc and dietlibc, but I've verified that my trivial umount
can unmount with no flags and with MNT_DETACH (which is umount -l), and
that the presence or absence of the MNT_DETACH flag does make it through
to the kernel.

I've also verified that util-vserver builds against my dietlibc on 4
architectures (i386, amd64, alpha and ia64), so once the buildds have
woken up, this should unblock util-vserver's migration to testing.

Release team, please consider letting dietlibc 0.31-1.2 migrate. Also,
compilation of util-vserver on ia64 will need to be retried once my dietlibc
becomes available to the buildd (let me know if I need to ping you later about
this).

Regards from the Cambridge BSP,
    Simon
[dietlibc-0.31-1.2-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Sat, 03 Jan 2009 17:51:06 GMT) Full text and rfc822 format available.

Reply sent to Simon McVittie <smcv@debian.org>:
You have taken responsibility. (Sat, 03 Jan 2009 18:09:05 GMT) Full text and rfc822 format available.

Notification sent to Micah Anderson <micah@debian.org>:
Bug acknowledged by developer. (Sat, 03 Jan 2009 18:09:05 GMT) Full text and rfc822 format available.

Message #53 received at 508397-close@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 508397-close@bugs.debian.org
Subject: Bug#508397: fixed in dietlibc 0.31-1.2
Date: Sat, 03 Jan 2009 18:02:05 +0000
Source: dietlibc
Source-Version: 0.31-1.2

We believe that the bug you reported is fixed in the latest version of
dietlibc, which is due to be installed in the Debian FTP archive:

dietlibc-dev_0.31-1.2_i386.deb
  to pool/main/d/dietlibc/dietlibc-dev_0.31-1.2_i386.deb
dietlibc-doc_0.31-1.2_all.deb
  to pool/main/d/dietlibc/dietlibc-doc_0.31-1.2_all.deb
dietlibc_0.31-1.2.diff.gz
  to pool/main/d/dietlibc/dietlibc_0.31-1.2.diff.gz
dietlibc_0.31-1.2.dsc
  to pool/main/d/dietlibc/dietlibc_0.31-1.2.dsc
dietlibc_0.31-1.2_i386.deb
  to pool/main/d/dietlibc/dietlibc_0.31-1.2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 508397@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon McVittie <smcv@debian.org> (supplier of updated dietlibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 03 Jan 2009 17:11:00 +0000
Source: dietlibc
Binary: dietlibc-dev dietlibc dietlibc-doc
Architecture: source all i386
Version: 0.31-1.2
Distribution: unstable
Urgency: medium
Maintainer: Gerrit Pape <pape@smarden.org>
Changed-By: Simon McVittie <smcv@debian.org>
Description: 
 dietlibc   - diet libc shared libraries - a libc optimized for small size
 dietlibc-dev - diet libc - a libc optimized for small size
 dietlibc-doc - diet libc documentation - a libc optimized for small size
Closes: 508397
Changes: 
 dietlibc (0.31-1.2) unstable; urgency=medium
 .
   * Non-maintainer upload from the Cambridge BSP.
   * debian/diff/0011-undefined-symbol-umount2-alpha-ia64.diff: treat
     __NR_umount as the 2-argument version on ia64 (really closes: #508397)
   * debian/diff/0012-Add-an-implementation-of-umount-3-for-ia64.diff:
     supply a 1-argument version of umount on ia64
   * Verified to pass MNT_DETACH to the kernel in the expected way on ia64
   * Verified with strace to do the same thing as glibc on architectures
     representing the other three families mentioned in 0011-*.diff
     (i386, x86_64 and alpha)
Checksums-Sha1: 
 6ef04dc4dfba0b1bfece590599dcd0499824a92c 906 dietlibc_0.31-1.2.dsc
 834571ce04692f2eeba87e40fb38c509cdee1db4 17622 dietlibc_0.31-1.2.diff.gz
 19310f460678021a155ce51ac61fd9d3f4d12420 52654 dietlibc-doc_0.31-1.2_all.deb
 c05cd1ad642d56c4b184c2e2f142b2a0de2fe1d8 418102 dietlibc-dev_0.31-1.2_i386.deb
 1422126ba263409a5e8b3bae3fe49090fecee44c 160910 dietlibc_0.31-1.2_i386.deb
Checksums-Sha256: 
 7eff0783e37a2bd0acd04cb115110c7b36763d1645540daf8f0091dab2508851 906 dietlibc_0.31-1.2.dsc
 1693da551ca715ea87c47d0dc06af36fc1b77d46bfd518b16a5c464ac5f88479 17622 dietlibc_0.31-1.2.diff.gz
 744f0eeb90d7495c321f2a6a7cfc754e15f58fe261e1867d490abf73fa7ed289 52654 dietlibc-doc_0.31-1.2_all.deb
 3b05a37a7fd1960b98b0789bc49505fcabc76350d8dce679a7aea5529e6b6eba 418102 dietlibc-dev_0.31-1.2_i386.deb
 a4863581cbd3067da38d25cc24fb585761f581c2a62db352a98226e88df9b912 160910 dietlibc_0.31-1.2_i386.deb
Files: 
 e774e55df7c1c14efb8c978d69e6e621 906 devel optional dietlibc_0.31-1.2.dsc
 542de2bcaad0e10d2de4922f22a72a7d 17622 devel optional dietlibc_0.31-1.2.diff.gz
 955d77c0f14eeaa0826e7eb2c5436d40 52654 doc optional dietlibc-doc_0.31-1.2_all.deb
 e14abff329474525f31da20f54a0779a 418102 libdevel optional dietlibc-dev_0.31-1.2_i386.deb
 1a7758b98873786c9961d6b1252a2b3f 160910 libs optional dietlibc_0.31-1.2_i386.deb

-----BEGIN PGP SIGNATURE-----

iD8DBQFJX6TiWSc8zVUw7HYRAqi4AKCuJ42Pv7N4xk/hcvzfNOQMBeYgeACaAvv/
b05wzml/PlCvST8f4uAG3a4=
=So4U
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#508397; Package dietlibc. (Sat, 03 Jan 2009 19:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Sat, 03 Jan 2009 19:06:04 GMT) Full text and rfc822 format available.

Message #58 received at 508397@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: Simon McVittie <smcv@debian.org>
Cc: 508397@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: dietlibc: diff for NMU version 0.31-1.2
Date: Sat, 03 Jan 2009 20:03:12 +0100
Simon McVittie wrote:
> tags 508397 + patch
> thanks
> 
> I've prepared an NMU for dietlibc (versioned as 0.31-1.2) and uploaded it
> to unstable. As mentioned above I've verified the syscalls made via
> strace on i386, amd64 and alpha. On ia64, strace produces strange output
> for both glibc and dietlibc, but I've verified that my trivial umount
> can unmount with no flags and with MNT_DETACH (which is umount -l), and
> that the presence or absence of the MNT_DETACH flag does make it through
> to the kernel.
> 
> I've also verified that util-vserver builds against my dietlibc on 4
> architectures (i386, amd64, alpha and ia64), so once the buildds have
> woken up, this should unblock util-vserver's migration to testing.
> 
> Release team, please consider letting dietlibc 0.31-1.2 migrate. Also,
> compilation of util-vserver on ia64 will need to be retried once my dietlibc
> becomes available to the buildd (let me know if I need to ping you later about
> this).

unblocked

dep-wait set, so no need to ping about that later.

Cheers

Luk




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 06 Feb 2009 07:29:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:12:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.